Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.8 veröffentlicht (17.10.16)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Upgrade von 1.1.18 auf 1.4
#21
Oh, entschuldige, ja, ich halte zugleich das Thema im englischen Forum aktuell ->

http://community.mybboard.net/thread-35048.html

Die eine Fehlermeldung bezieht sich darauf, dass die config.php nicht korrekt geschrieben wird, es wird der "database" Eintrag nur mit "Array" beschrieben. Wenn man das manuell korrigiert, dann kommt man ein Stück weiter und bleibt schliesslich irgendwo in der upgrade5.php hängen.
(Meldung: "Upgraderoutine -> Performing necessary upgrade queries..") Das kann ja alles sein, wenn ich das richtig erkannt habe.

Vielen Dank, dass Du Dir das anschaust.


Was ich mich frage: warum wurde das nie korrigiert?
Es muss doch Leute gegeben haben, die von V1.2.6 das Upgrade machten, das funktioniert ja auch nicht? Soll ich mir das explizit nocheinmal anschaun?
Wenn Du den Fehler hier erkennst und beseitigen kannst, bin ich erstens schwer beeindruckt und mache mich zweitens daran, dass ich den Fehler in den anderen Versionen lokalisiere - das dürfte ja das gleiche Codeschnippsel sein ... Ich setze dazu gerne alle möglichen Versionen auf.

lg,
FraGe
#22
So, ich habe das Upgrade mal lokal durchgespielt und hoffe, dass ich alle Fehler erwischt habe. Bitte testen!

upgrade5.php, suchen nach:
PHP-Code:
\$config['database'] = '{$config['database']}'
Ersetzen durch:
PHP-Code:
\$config['database'] = '{$config['database']['database']}'

upgrade8.php, suchen nach:
PHP-Code:
if($db->field_exists('oldadditionalgroups'TABLE_PREFIX."banned")) 
Ersetzen durch:
PHP-Code:
if($db->field_exists('oldadditionalgroups'"banned")) 
Suchen nach:
PHP-Code:
if($db->field_exists('olddisplaygroup'TABLE_PREFIX."banned")) 
Ersetzen durch:
PHP-Code:
if($db->field_exists('olddisplaygroup'"banned")) 

upgrade.php, suchen nach:
PHP-Code:
isdefault int(1NOT NULL default ''
Ersetzen durch:
PHP-Code:
isdefault int(1NOT NULL default '0'

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
#23
Hoi,

also ich hab inzwischen auch ein Upgrade von 1.1.8 auf 1.2.14 probiert, das läuft Fehlerlos durch, danach ist aber das Testforum in der Kategorie weg und wenn ich im Admincenter ein neues Forum erstelle, wird das auch nicht angezeigt - suboptimal Wink

Zu Deinen Korrekturen: Danke erstmal, ich probiers, allerdings:
{$config['database']['database']} inwiefern macht das Sinn, ich bekomme dann den Fehler

"Fatal error: main() [function.require]: Failed opening required '/var/www/web69/html/k4um/frmtst/v144/inc/db_.php' (include_path='.:/usr/local/lib/php') in /var/www/web69/html/k4um/frmtst/v144/install/upgrade.php on line 50"

weil danach gar nix mehr übergeben wird Sad

Weiter bin ich noch nicht.
#24
Das Problem ist auf ein unterschiedliches Format der inc/config.php in MyBB 1.2.x und 1.4.x zurückzuführen. Wenn du das Upgrade mit den Änderungen direkt auf MyBB 1.4.4 machst, sollte es durchlaufen (gerade nochmal getestet). Ich habe dir die geänderten Dateien auch nochmal angehangen.

Das einzige Problem, das ich jetzt noch in der Testinstallation feststellen kann, ist, dass es kein Theme mehr gibt. Das lässt sich relativ einfach beheben, indem du ein frisches MyBB 1.4.4 installierst, dort die Datenbanktabellen templategroups, templates, templatesets, themes und themestylesheets exportierst und in das andere Forum importierst. Den Dump der Tabellen findest du ebenfalls im Anhang (ggf. musst du den Präfix anpasssen, falles er nicht "mybb_" lautet). Damit sollte dann alles auf dem aktuellen Stand sein.


Angehängte Dateien
.zip   install.zip (Größe: 13,11 KB / Downloads: 2)
.zip   mybb.zip (Größe: 62,4 KB / Downloads: 3)

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
#25
leider ... ich bin zu blöd ... der Fehler liegt woanders, aber wo?

Hast Du ein lokales 1.1.8 aufgesetzt und dann von dort das Upgrade gemacht?
Das ist durchgelaufen?


EDIt: ok, grade gesehen, dass Du mir die Files nocheinmal angehängt hast. Danke.
Damit probiere ich das nocheinmal. Das Theme ist mir wurscht, da kann ich ja irgendein Neues nehmen, bzw in unserem Fall kommt ein komplett Neues zum Einsatz. Ich melde mich sofort, wenns geht Smile

PS: Habe jetzt aber immer mit Daten von 1.1.8 gearbeitet, hne Zwischenlösung mit 1.2.X
#26
(29.11.2008, 14:04)FraGezeichen schrieb: Hast Du ein lokales 1.1.8 aufgesetzt und dann von dort das Upgrade gemacht?
Das ist durchgelaufen?
Richtig, das läuft mit den genannten Änderungen durch. Wichtig ist, dass du direkt auf die aktuelle Version gehst.

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
#27
Du bist mein Held!
Jetzt läuft das wirklich durch. Hast Du für die Dateien im Zip-Archiv noch etwas geändert?
Die sehen doch gleich aus, wie die, die ich vorher angepasst habe?

Ich bin begeistert. Jetzt würde ich allerdings gerne an einer Backup-DB einen Volldurchlauft starten. Meine Datenbank hat allerdings knapp 60MB, wie kann ich die klonen?
(von usr_web69_3 -> usr_web69_4)
Funktioniert sowas irgendwie per mysql Abfragen, ohne, dass ich die Daten rausholen und wieder importieren muss? Das wär schön, bei dieser Datenmenge - ist zwar ein anderes Thema, aber vielleicht kannst du mir das hier noch schnell anhängen.

Andere Frage: fliessen Deine Korrekturen in die offizielle Version ein? Ich hoffe Smile
Werde den englischen Thread als gelöst markieren, nachdem ich diese Daten dort gepostet habe; wenn ich darf Smile
#28
(29.11.2008, 14:25)FraGezeichen schrieb: Hast Du für die Dateien im Zip-Archiv noch etwas geändert?
Nein.
(29.11.2008, 14:25)FraGezeichen schrieb: Ich bin begeistert. Jetzt würde ich allerdings gerne an einer Backup-DB einen Volldurchlauft starten. Meine Datenbank hat allerdings knapp 60MB, wie kann ich die klonen?
(von usr_web69_3 -> usr_web69_4)
Funktioniert sowas irgendwie per mysql Abfragen, ohne, dass ich die Daten rausholen und wieder importieren muss? Das wär schön, bei dieser Datenmenge - ist zwar ein anderes Thema, aber vielleicht kannst du mir das hier noch schnell anhängen.
Meines Wissens ist das klonen von Datenbanken bei MySQL nicht vorgesehen. Daher musst du den Umweg über einen Export gehen.
(29.11.2008, 14:25)FraGezeichen schrieb: Andere Frage: fliessen Deine Korrekturen in die offizielle Version ein? Ich hoffe Smile
Ich habe dein Thema im englischen Forum ins Bugforum verschoben und die Informationen beigefügt. Wink

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
#29
Super danke, ich hoffe, das ist ok, wenn ich Dein mybb.zipvon hier dort anhänge, dann kann ein potentieller Upgrader den Weg über eine Neuinstalation sparen. Das hat bei mir perfekt funktioniert :ok:
#30
Das ist schon ok. Wink

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.